CoreTransaction
Keywords: net.corda.core.transactions.CoreTransaction class
Date: 2023-09-18

net.corda.core.transactions

## Class CoreTransaction

- net.corda.core.transactions.BaseTransaction
- - net.corda.core.transactions.CoreTransaction

- All Implemented Interfaces:
    NamedByHash
  Direct Known Subclasses:
    ContractUpgradeFilteredTransaction, ContractUpgradeWireTransaction, NotaryChangeWireTransaction, TraversableTransaction

      public class CoreTransaction
      extends BaseTransaction

  A transaction with the minimal amount of information required to compute the unique transaction id, and resolve a `class FullTransaction`. This type of transaction, wrapped in `class SignedTransaction`, gets transferred across the wire and recorded to storage.

  See Also:
    `class FullTransaction`, `class SignedTransaction`

- - ### Constructor Detail

    - #### CoreTransaction

          public CoreTransaction()

      A transaction with the minimal amount of information required to compute the unique transaction id, and resolve a `class FullTransaction`. This type of transaction, wrapped in `class SignedTransaction`, gets transferred across the wire and recorded to storage.

      See Also:
        `class FullTransaction`, `class SignedTransaction`

  - ### Method Detail

    - #### getInputs

          @NotNull
          public java.util.List<net.corda.core.contracts.StateRef> getInputs()

      The inputs of this transaction, containing state references only.

    - #### getReferences

          @NotNull
          public java.util.List<net.corda.core.contracts.StateRef> getReferences()

      The reference inputs of this transaction, containing the state references only.

    - #### getNetworkParametersHash

          @Nullable
          public SecureHash getNetworkParametersHash()

      Hash of the network parameters that were in force when the transaction was notarised. Null means, that the transaction was created on older version of Corda (before 4), resolution will default to initial parameters.